package com.hai.dao;

import com.hai.entity.HighUserCard;
import com.hai.entity.HighUserCardExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface HighUserCardMapper extends HighUserCardMapperExt {
    @SelectProvider(type=HighUserCardSqlProvider.class, method="countByExample")
    long countByExample(HighUserCardExample example);

    @DeleteProvider(type=HighUserCardSqlProvider.class, method="deleteByExample")
    int deleteByExample(HighUserCardExample example);

    @Delete({
        "delete from high_user_card",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into high_user_card (user_id, card_no, ",
        "`type`, `status`, create_time, ",
        "update_time, ext_1, ",
        "ext_2, ext_3)",
        "values (#{userId,jdbcType=BIGINT}, #{cardNo,jdbcType=VARCHAR}, ",
        "#{type,jdbcType=INTEGER}, #{status,jdbcType=INTEGER}, #{createTime,jdbcType=TIMESTAMP}, ",
        "#{updateTime,jdbcType=TIMESTAMP}, #{ext1,jdbcType=VARCHAR}, ",
        "#{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(HighUserCard record);

    @InsertProvider(type=HighUserCardSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(HighUserCard record);

    @SelectProvider(type=HighUserCardSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="user_id", property="userId", jdbcType=JdbcType.BIGINT),
        @Result(column="card_no", property="cardNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="type", property="type", jdbcType=JdbcType.INTEGER),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<HighUserCard> selectByExample(HighUserCardExample example);

    @Select({
        "select",
        "id, user_id, card_no, `type`, `status`, create_time, update_time, ext_1, ext_2, ",
        "ext_3",
        "from high_user_card",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="user_id", property="userId", jdbcType=JdbcType.BIGINT),
        @Result(column="card_no", property="cardNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="type", property="type", jdbcType=JdbcType.INTEGER),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    HighUserCard selectByPrimaryKey(Long id);

    @UpdateProvider(type=HighUserCardSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") HighUserCard record, @Param("example") HighUserCardExample example);

    @UpdateProvider(type=HighUserCardSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") HighUserCard record, @Param("example") HighUserCardExample example);

    @UpdateProvider(type=HighUserCardSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(HighUserCard record);

    @Update({
        "update high_user_card",
        "set user_id = #{userId,jdbcType=BIGINT},",
          "card_no = #{cardNo,jdbcType=VARCHAR},",
          "`type` = #{type,jdbcType=INTEGER},",
          "`status` = #{status,jdbcType=INTEGER},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "update_time = #{updateTime,jdbcType=TIMESTAMP},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(HighUserCard record);
}