package com.hai.service;

import com.alibaba.fastjson.JSONObject;
import com.hai.entity.OutRechargePrice;
import com.hai.model.OutRechargePriceModel;
import io.swagger.models.auth.In;

import java.util.List;
import java.util.Map;

public interface OutRechargePriceService {

    /**
     * @Author Sum1Dream
     * @Description //查询列表 Administrator
     * @Date 17:38 2021/6/12
     * @Param [map]
     * @return java.util.List<com.hai.entity.OutRechargePrice>
     **/
    List<OutRechargePrice> getListRechargePrice(Map<String , Object> map);

    /**
     * @Author Sum1Dream
     * @Description //c端查询列表 Administrator
     * @Date 17:38 2021/6/12
     * @Param [map]
     * @return java.util.List<com.hai.entity.OutRechargePrice>
     **/
    List<OutRechargePrice> getRechargePriceByList(Map<String , Object> map);

    /**
     * @Author Sum1Dream
     * @Description //查询详情 Administrator
     * @Date 17:40 2021/6/12
     * @Param [id]
     * @return com.hai.entity.OutRechargePrice
     **/
    OutRechargePriceModel findById(Long id , Integer platformId);

    /**
     * @Author Sum1Dream
     * @Description //新增 Administrator
     * @Date 17:40 2021/6/12
     * @Param [outRechargePrice]
     * @return void
     **/
    void insertRechargePrice(JSONObject object);

    /**
     * @Author Sum1Dream
     * @Description //修改 Administrator
     * @Date 17:41 2021/6/12
     * @Param [outRechargePrice]
     * @return void
     **/
    void updateRechargePrice(JSONObject object);

    /**
    * @Author Sum1Dream
    * @name editPriceStatus.java
    * @Description // 修改价格状态
    * @Date 18:18 2022/5/23
    * @Param [com.hai.entity.OutRechargePrice]
    * @return void
    */
    void editPriceStatus(OutRechargePrice outRechargePrice);

    /**
     * @Author Sum1Dream
     * @Description //删除 Administrator
     * @Date 17:31 2021/6/13
     * @Param [id]
     * @return void
     **/
    void deletePrice(Long id);

    /**
    * @Author Sum1Dream
    * @name getProductList.java
    * @Description // 获取商品列表
    * @Date 09:56 2022/5/24
    * @Param []
    * @return com.alibaba.fastjson.JSONObject
    */
    JSONObject getProductList();
}
